# Orders

Trading endpoints use API key authentication.

### Shared request fields

| Field | Description                    |
| ----- | ------------------------------ |
| `e`   | Event ID                       |
| `o`   | Outcome or market ID           |
| `ba`  | Betting asset ID               |
| `qa`  | Quote asset ID                 |
| `s`   | Side: `BUY` or `SELL`          |
| `q`   | Quantity in shares             |
| `am`  | Amount in USDC for market buys |

### Endpoints

* [Place Limit Order](/api/rest-api/private-endpoints/orders/place-limit-order.md)
* [Place Market Order](/api/rest-api/private-endpoints/orders/place-market-order.md)
* [Cancel Order](/api/rest-api/private-endpoints/orders/cancel-order.md)
* [Set Take Profit / Stop Loss](/api/rest-api/private-endpoints/orders/take-profit-stop-loss.md)
* [Get TP/SL Orders](/api/rest-api/private-endpoints/orders/get-tp-sl-orders.md)
* [Cancel TP/SL Order](/api/rest-api/private-endpoints/orders/cancel-tp-sl-order.md)

### Related pages

* [Positions](/api/rest-api/private-endpoints/positions.md) for active orders and open positions.
* [History](/api/rest-api/private-endpoints/history.md) for order and trade history.
* [Order Updates](/api/rest-api/websockets/account-and-history-streams/order-updates.md) for `ORDER_UPDATE` and `TPSL_UPDATE`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/private-endpoints/orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
